/*@@
   @file    CoordBase_Functions.c
   @author  Automatically generated by CreateFunctionBindings.pl
   @desc
            The wrappers for functions provided by thorn CoordBase.
   @enddesc
 @@*/


#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "cctk_Flesh.h"
#include "cctk_WarnLevel.h"



extern CCTK_INT CoordBase_ConvertFromExteriorBoundary(const CCTK_INT size ,
 CCTK_REAL* physical_min ,
 CCTK_REAL* physical_max ,
 CCTK_REAL* interior_min ,
 CCTK_REAL* interior_max ,
 const CCTK_REAL* exterior_min ,
 const CCTK_REAL* exterior_max ,
 const CCTK_REAL* spacing);
static CCTK_INT CCTK_Wrapper_CtoF_CoordBase_ConvertFromExteriorBoundary(const CCTK_INT* size ,
 CCTK_REAL* physical_min ,
 CCTK_REAL* physical_max ,
 CCTK_REAL* interior_min ,
 CCTK_REAL* interior_max ,
 const CCTK_REAL* exterior_min ,
 const CCTK_REAL* exterior_max ,
 const CCTK_REAL* spacing);
CCTK_INT CCTK_Wrapper_CtoF_CoordBase_ConvertFromExteriorBoundary(const CCTK_INT* size ,
 CCTK_REAL* physical_min ,
 CCTK_REAL* physical_max ,
 CCTK_REAL* interior_min ,
 CCTK_REAL* interior_max ,
 const CCTK_REAL* exterior_min ,
 const CCTK_REAL* exterior_max ,
 const CCTK_REAL* spacing)
{


  return (CoordBase_ConvertFromExteriorBoundary)(*size , physical_min , physical_max , interior_min , interior_max , exterior_min , exterior_max , spacing);
}


extern CCTK_INT CoordBase_ConvertFromInteriorBoundary(const CCTK_INT size ,
 CCTK_REAL* physical_min ,
 CCTK_REAL* physical_max ,
 const CCTK_REAL* interior_min ,
 const CCTK_REAL* interior_max ,
 CCTK_REAL* exterior_min ,
 CCTK_REAL* exterior_max ,
 const CCTK_REAL* spacing);
static CCTK_INT CCTK_Wrapper_CtoF_CoordBase_ConvertFromInteriorBoundary(const CCTK_INT* size ,
 CCTK_REAL* physical_min ,
 CCTK_REAL* physical_max ,
 const CCTK_REAL* interior_min ,
 const CCTK_REAL* interior_max ,
 CCTK_REAL* exterior_min ,
 CCTK_REAL* exterior_max ,
 const CCTK_REAL* spacing);
CCTK_INT CCTK_Wrapper_CtoF_CoordBase_ConvertFromInteriorBoundary(const CCTK_INT* size ,
 CCTK_REAL* physical_min ,
 CCTK_REAL* physical_max ,
 const CCTK_REAL* interior_min ,
 const CCTK_REAL* interior_max ,
 CCTK_REAL* exterior_min ,
 CCTK_REAL* exterior_max ,
 const CCTK_REAL* spacing)
{


  return (CoordBase_ConvertFromInteriorBoundary)(*size , physical_min , physical_max , interior_min , interior_max , exterior_min , exterior_max , spacing);
}


extern CCTK_INT CoordBase_ConvertFromPhysicalBoundary(const CCTK_INT size ,
 const CCTK_REAL* physical_min ,
 const CCTK_REAL* physical_max ,
 CCTK_REAL* interior_min ,
 CCTK_REAL* interior_max ,
 CCTK_REAL* exterior_min ,
 CCTK_REAL* exterior_max ,
 const CCTK_REAL* spacing);
static CCTK_INT CCTK_Wrapper_CtoF_CoordBase_ConvertFromPhysicalBoundary(const CCTK_INT* size ,
 const CCTK_REAL* physical_min ,
 const CCTK_REAL* physical_max ,
 CCTK_REAL* interior_min ,
 CCTK_REAL* interior_max ,
 CCTK_REAL* exterior_min ,
 CCTK_REAL* exterior_max ,
 const CCTK_REAL* spacing);
CCTK_INT CCTK_Wrapper_CtoF_CoordBase_ConvertFromPhysicalBoundary(const CCTK_INT* size ,
 const CCTK_REAL* physical_min ,
 const CCTK_REAL* physical_max ,
 CCTK_REAL* interior_min ,
 CCTK_REAL* interior_max ,
 CCTK_REAL* exterior_min ,
 CCTK_REAL* exterior_max ,
 const CCTK_REAL* spacing)
{


  return (CoordBase_ConvertFromPhysicalBoundary)(*size , physical_min , physical_max , interior_min , interior_max , exterior_min , exterior_max , spacing);
}


extern CCTK_INT CoordBase_CoordHandle(const CCTK_POINTER_TO_CONST GH ,
 CCTK_STRING coordname, CCTK_STRING systemname);
static CCTK_INT CCTK_Wrapper_CtoF_CoordBase_CoordHandle(const CCTK_POINTER_TO_CONST* GH ,
 CCTK_STRING coordname, CCTK_STRING systemname);
CCTK_INT CCTK_Wrapper_CtoF_CoordBase_CoordHandle(const CCTK_POINTER_TO_CONST* GH ,
 CCTK_STRING coordname, CCTK_STRING systemname)
{


  return (CoordBase_CoordHandle)(*GH , coordname , systemname);
}


extern CCTK_INT CoordBase_CoordRegister(const CCTK_POINTER_TO_CONST GH ,
 const CCTK_INT systemhandle ,
 const CCTK_INT direction ,
 CCTK_STRING coordname);
static CCTK_INT CCTK_Wrapper_CtoF_CoordBase_CoordRegister(const CCTK_POINTER_TO_CONST* GH ,
 const CCTK_INT* systemhandle ,
 const CCTK_INT* direction ,
 CCTK_STRING coordname);
CCTK_INT CCTK_Wrapper_CtoF_CoordBase_CoordRegister(const CCTK_POINTER_TO_CONST* GH ,
 const CCTK_INT* systemhandle ,
 const CCTK_INT* direction ,
 CCTK_STRING coordname)
{


  return (CoordBase_CoordRegister)(*GH , *systemhandle , *direction , coordname);
}


extern CCTK_INT CoordBase_GetDefaultSystem(const CCTK_POINTER_TO_CONST GH ,
 const CCTK_INT systemdim);
static CCTK_INT CCTK_Wrapper_CtoF_CoordBase_GetDefaultSystem(const CCTK_POINTER_TO_CONST* GH ,
 const CCTK_INT* systemdim);
CCTK_INT CCTK_Wrapper_CtoF_CoordBase_GetDefaultSystem(const CCTK_POINTER_TO_CONST* GH ,
 const CCTK_INT* systemdim)
{


  return (CoordBase_GetDefaultSystem)(*GH , *systemdim);
}


extern CCTK_INT CoordBase_GroupSystem(const CCTK_POINTER_TO_CONST GH ,
 CCTK_STRING groupname);
static CCTK_INT CCTK_Wrapper_CtoF_CoordBase_GroupSystem(const CCTK_POINTER_TO_CONST* GH ,
 CCTK_STRING groupname);
CCTK_INT CCTK_Wrapper_CtoF_CoordBase_GroupSystem(const CCTK_POINTER_TO_CONST* GH ,
 CCTK_STRING groupname)
{


  return (CoordBase_GroupSystem)(*GH , groupname);
}


extern CCTK_INT CoordBase_SetDefaultSystem(const CCTK_POINTER_TO_CONST GH ,
 CCTK_STRING systemname);
static CCTK_INT CCTK_Wrapper_CtoF_CoordBase_SetDefaultSystem(const CCTK_POINTER_TO_CONST* GH ,
 CCTK_STRING systemname);
CCTK_INT CCTK_Wrapper_CtoF_CoordBase_SetDefaultSystem(const CCTK_POINTER_TO_CONST* GH ,
 CCTK_STRING systemname)
{


  return (CoordBase_SetDefaultSystem)(*GH , systemname);
}


extern CCTK_INT CoordBase_SystemHandle(const CCTK_POINTER_TO_CONST GH ,
 CCTK_STRING systemname);
static CCTK_INT CCTK_Wrapper_CtoF_CoordBase_SystemHandle(const CCTK_POINTER_TO_CONST* GH ,
 CCTK_STRING systemname);
CCTK_INT CCTK_Wrapper_CtoF_CoordBase_SystemHandle(const CCTK_POINTER_TO_CONST* GH ,
 CCTK_STRING systemname)
{


  return (CoordBase_SystemHandle)(*GH , systemname);
}


extern CCTK_INT CoordBase_SystemRegister(const CCTK_POINTER_TO_CONST GH ,
 const CCTK_INT dim ,
 CCTK_STRING systemname);
static CCTK_INT CCTK_Wrapper_CtoF_CoordBase_SystemRegister(const CCTK_POINTER_TO_CONST* GH ,
 const CCTK_INT* dim ,
 CCTK_STRING systemname);
CCTK_INT CCTK_Wrapper_CtoF_CoordBase_SystemRegister(const CCTK_POINTER_TO_CONST* GH ,
 const CCTK_INT* dim ,
 CCTK_STRING systemname)
{


  return (CoordBase_SystemRegister)(*GH , *dim , systemname);
}


extern CCTK_INT CoordBase_GetBoundarySizesAndTypes(const CCTK_POINTER_TO_CONST cctkGH ,
 const CCTK_INT size ,
 CCTK_INT* bndsize ,
 CCTK_INT* is_ghostbnd ,
 CCTK_INT* is_symbnd ,
 CCTK_INT* is_physbnd);
static CCTK_INT CCTK_Wrapper_CtoF_CoordBase_GetBoundarySizesAndTypes(const CCTK_POINTER_TO_CONST* cctkGH ,
 const CCTK_INT* size ,
 CCTK_INT* bndsize ,
 CCTK_INT* is_ghostbnd ,
 CCTK_INT* is_symbnd ,
 CCTK_INT* is_physbnd);
CCTK_INT CCTK_Wrapper_CtoF_CoordBase_GetBoundarySizesAndTypes(const CCTK_POINTER_TO_CONST* cctkGH ,
 const CCTK_INT* size ,
 CCTK_INT* bndsize ,
 CCTK_INT* is_ghostbnd ,
 CCTK_INT* is_symbnd ,
 CCTK_INT* is_physbnd)
{


  return (CoordBase_GetBoundarySizesAndTypes)(*cctkGH , *size , bndsize , is_ghostbnd , is_symbnd , is_physbnd);
}


extern CCTK_INT CoordBase_GetBoundarySpecification(const CCTK_INT size ,
 CCTK_INT* nboundaryzones ,
 CCTK_INT* is_internal ,
 CCTK_INT* is_staggered ,
 CCTK_INT* shiftout);
static CCTK_INT CCTK_Wrapper_CtoF_CoordBase_GetBoundarySpecification(const CCTK_INT* size ,
 CCTK_INT* nboundaryzones ,
 CCTK_INT* is_internal ,
 CCTK_INT* is_staggered ,
 CCTK_INT* shiftout);
CCTK_INT CCTK_Wrapper_CtoF_CoordBase_GetBoundarySpecification(const CCTK_INT* size ,
 CCTK_INT* nboundaryzones ,
 CCTK_INT* is_internal ,
 CCTK_INT* is_staggered ,
 CCTK_INT* shiftout)
{


  return (CoordBase_GetBoundarySpecification)(*size , nboundaryzones , is_internal , is_staggered , shiftout);
}


extern CCTK_INT CoordBase_GetDomainSpecification(const CCTK_INT size ,
 CCTK_REAL* physical_min ,
 CCTK_REAL* physical_max ,
 CCTK_REAL* interior_min ,
 CCTK_REAL* interior_max ,
 CCTK_REAL* exterior_min ,
 CCTK_REAL* exterior_max ,
 CCTK_REAL* spacing);
static CCTK_INT CCTK_Wrapper_CtoF_CoordBase_GetDomainSpecification(const CCTK_INT* size ,
 CCTK_REAL* physical_min ,
 CCTK_REAL* physical_max ,
 CCTK_REAL* interior_min ,
 CCTK_REAL* interior_max ,
 CCTK_REAL* exterior_min ,
 CCTK_REAL* exterior_max ,
 CCTK_REAL* spacing);
CCTK_INT CCTK_Wrapper_CtoF_CoordBase_GetDomainSpecification(const CCTK_INT* size ,
 CCTK_REAL* physical_min ,
 CCTK_REAL* physical_max ,
 CCTK_REAL* interior_min ,
 CCTK_REAL* interior_max ,
 CCTK_REAL* exterior_min ,
 CCTK_REAL* exterior_max ,
 CCTK_REAL* spacing)
{


  return (CoordBase_GetDomainSpecification)(*size , physical_min , physical_max , interior_min , interior_max , exterior_min , exterior_max , spacing);
}

CCTK_INT Register_CoordBase(void);
CCTK_INT AliasConvertFromExteriorBoundary_C(CCTK_INT (*func)(const CCTK_INT size ,
 CCTK_REAL* physical_min ,
 CCTK_REAL* physical_max ,
 CCTK_REAL* interior_min ,
 CCTK_REAL* interior_max ,
 const CCTK_REAL* exterior_min ,
 const CCTK_REAL* exterior_max ,
 const CCTK_REAL* spacing));
CCTK_INT AliasConvertFromExteriorBoundary_F(CCTK_INT (*func)(const CCTK_INT* size ,
 CCTK_REAL* physical_min ,
 CCTK_REAL* physical_max ,
 CCTK_REAL* interior_min ,
 CCTK_REAL* interior_max ,
 const CCTK_REAL* exterior_min ,
 const CCTK_REAL* exterior_max ,
 const CCTK_REAL* spacing));
CCTK_INT AliasConvertFromInteriorBoundary_C(CCTK_INT (*func)(const CCTK_INT size ,
 CCTK_REAL* physical_min ,
 CCTK_REAL* physical_max ,
 const CCTK_REAL* interior_min ,
 const CCTK_REAL* interior_max ,
 CCTK_REAL* exterior_min ,
 CCTK_REAL* exterior_max ,
 const CCTK_REAL* spacing));
CCTK_INT AliasConvertFromInteriorBoundary_F(CCTK_INT (*func)(const CCTK_INT* size ,
 CCTK_REAL* physical_min ,
 CCTK_REAL* physical_max ,
 const CCTK_REAL* interior_min ,
 const CCTK_REAL* interior_max ,
 CCTK_REAL* exterior_min ,
 CCTK_REAL* exterior_max ,
 const CCTK_REAL* spacing));
CCTK_INT AliasConvertFromPhysicalBoundary_C(CCTK_INT (*func)(const CCTK_INT size ,
 const CCTK_REAL* physical_min ,
 const CCTK_REAL* physical_max ,
 CCTK_REAL* interior_min ,
 CCTK_REAL* interior_max ,
 CCTK_REAL* exterior_min ,
 CCTK_REAL* exterior_max ,
 const CCTK_REAL* spacing));
CCTK_INT AliasConvertFromPhysicalBoundary_F(CCTK_INT (*func)(const CCTK_INT* size ,
 const CCTK_REAL* physical_min ,
 const CCTK_REAL* physical_max ,
 CCTK_REAL* interior_min ,
 CCTK_REAL* interior_max ,
 CCTK_REAL* exterior_min ,
 CCTK_REAL* exterior_max ,
 const CCTK_REAL* spacing));
CCTK_INT AliasCoord_CoordHandle_C(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST GH ,
 CCTK_STRING coordname, CCTK_STRING systemname));
CCTK_INT AliasCoord_CoordHandle_F(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST* GH ,
 CCTK_STRING coordname, CCTK_STRING systemname));
CCTK_INT AliasCoord_CoordRegister_C(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST GH ,
 const CCTK_INT systemhandle ,
 const CCTK_INT direction ,
 CCTK_STRING coordname));
CCTK_INT AliasCoord_CoordRegister_F(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST* GH ,
 const CCTK_INT* systemhandle ,
 const CCTK_INT* direction ,
 CCTK_STRING coordname));
CCTK_INT AliasCoord_GetDefaultSystem_C(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST GH ,
 const CCTK_INT systemdim));
CCTK_INT AliasCoord_GetDefaultSystem_F(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST* GH ,
 const CCTK_INT* systemdim));
CCTK_INT AliasCoord_GroupSystem_C(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST GH ,
 CCTK_STRING groupname));
CCTK_INT AliasCoord_GroupSystem_F(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST* GH ,
 CCTK_STRING groupname));
CCTK_INT AliasCoord_SetDefaultSystem_C(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST GH ,
 CCTK_STRING systemname));
CCTK_INT AliasCoord_SetDefaultSystem_F(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST* GH ,
 CCTK_STRING systemname));
CCTK_INT AliasCoord_SystemHandle_C(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST GH ,
 CCTK_STRING systemname));
CCTK_INT AliasCoord_SystemHandle_F(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST* GH ,
 CCTK_STRING systemname));
CCTK_INT AliasCoord_SystemRegister_C(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST GH ,
 const CCTK_INT dim ,
 CCTK_STRING systemname));
CCTK_INT AliasCoord_SystemRegister_F(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST* GH ,
 const CCTK_INT* dim ,
 CCTK_STRING systemname));
CCTK_INT AliasGetBoundarySizesAndTypes_C(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST cctkGH ,
 const CCTK_INT size ,
 CCTK_INT* bndsize ,
 CCTK_INT* is_ghostbnd ,
 CCTK_INT* is_symbnd ,
 CCTK_INT* is_physbnd));
CCTK_INT AliasGetBoundarySizesAndTypes_F(CCTK_INT (*func)(const CCTK_POINTER_TO_CONST* cctkGH ,
 const CCTK_INT* size ,
 CCTK_INT* bndsize ,
 CCTK_INT* is_ghostbnd ,
 CCTK_INT* is_symbnd ,
 CCTK_INT* is_physbnd));
CCTK_INT AliasGetBoundarySpecification_C(CCTK_INT (*func)(const CCTK_INT size ,
 CCTK_INT* nboundaryzones ,
 CCTK_INT* is_internal ,
 CCTK_INT* is_staggered ,
 CCTK_INT* shiftout));
CCTK_INT AliasGetBoundarySpecification_F(CCTK_INT (*func)(const CCTK_INT* size ,
 CCTK_INT* nboundaryzones ,
 CCTK_INT* is_internal ,
 CCTK_INT* is_staggered ,
 CCTK_INT* shiftout));
CCTK_INT AliasGetDomainSpecification_C(CCTK_INT (*func)(const CCTK_INT size ,
 CCTK_REAL* physical_min ,
 CCTK_REAL* physical_max ,
 CCTK_REAL* interior_min ,
 CCTK_REAL* interior_max ,
 CCTK_REAL* exterior_min ,
 CCTK_REAL* exterior_max ,
 CCTK_REAL* spacing));
CCTK_INT AliasGetDomainSpecification_F(CCTK_INT (*func)(const CCTK_INT* size ,
 CCTK_REAL* physical_min ,
 CCTK_REAL* physical_max ,
 CCTK_REAL* interior_min ,
 CCTK_REAL* interior_max ,
 CCTK_REAL* exterior_min ,
 CCTK_REAL* exterior_max ,
 CCTK_REAL* spacing));
CCTK_INT Register_CoordBase(void)
{
  CCTK_INT ierr;

  ierr = 0;

  ierr += AliasConvertFromExteriorBoundary_F(CCTK_Wrapper_CtoF_CoordBase_ConvertFromExteriorBoundary);
  ierr += AliasConvertFromExteriorBoundary_C(CoordBase_ConvertFromExteriorBoundary);
  if (ierr)
  {
    CCTK_Warn(0, __LINE__, __FILE__, "Bindings",
              "Function already registered!");
  }
  ierr += AliasConvertFromInteriorBoundary_F(CCTK_Wrapper_CtoF_CoordBase_ConvertFromInteriorBoundary);
  ierr += AliasConvertFromInteriorBoundary_C(CoordBase_ConvertFromInteriorBoundary);
  if (ierr)
  {
    CCTK_Warn(0, __LINE__, __FILE__, "Bindings",
              "Function already registered!");
  }
  ierr += AliasConvertFromPhysicalBoundary_F(CCTK_Wrapper_CtoF_CoordBase_ConvertFromPhysicalBoundary);
  ierr += AliasConvertFromPhysicalBoundary_C(CoordBase_ConvertFromPhysicalBoundary);
  if (ierr)
  {
    CCTK_Warn(0, __LINE__, __FILE__, "Bindings",
              "Function already registered!");
  }
  ierr += AliasCoord_CoordHandle_F(CCTK_Wrapper_CtoF_CoordBase_CoordHandle);
  ierr += AliasCoord_CoordHandle_C(CoordBase_CoordHandle);
  if (ierr)
  {
    CCTK_Warn(0, __LINE__, __FILE__, "Bindings",
              "Function already registered!");
  }
  ierr += AliasCoord_CoordRegister_F(CCTK_Wrapper_CtoF_CoordBase_CoordRegister);
  ierr += AliasCoord_CoordRegister_C(CoordBase_CoordRegister);
  if (ierr)
  {
    CCTK_Warn(0, __LINE__, __FILE__, "Bindings",
              "Function already registered!");
  }
  ierr += AliasCoord_GetDefaultSystem_F(CCTK_Wrapper_CtoF_CoordBase_GetDefaultSystem);
  ierr += AliasCoord_GetDefaultSystem_C(CoordBase_GetDefaultSystem);
  if (ierr)
  {
    CCTK_Warn(0, __LINE__, __FILE__, "Bindings",
              "Function already registered!");
  }
  ierr += AliasCoord_GroupSystem_F(CCTK_Wrapper_CtoF_CoordBase_GroupSystem);
  ierr += AliasCoord_GroupSystem_C(CoordBase_GroupSystem);
  if (ierr)
  {
    CCTK_Warn(0, __LINE__, __FILE__, "Bindings",
              "Function already registered!");
  }
  ierr += AliasCoord_SetDefaultSystem_F(CCTK_Wrapper_CtoF_CoordBase_SetDefaultSystem);
  ierr += AliasCoord_SetDefaultSystem_C(CoordBase_SetDefaultSystem);
  if (ierr)
  {
    CCTK_Warn(0, __LINE__, __FILE__, "Bindings",
              "Function already registered!");
  }
  ierr += AliasCoord_SystemHandle_F(CCTK_Wrapper_CtoF_CoordBase_SystemHandle);
  ierr += AliasCoord_SystemHandle_C(CoordBase_SystemHandle);
  if (ierr)
  {
    CCTK_Warn(0, __LINE__, __FILE__, "Bindings",
              "Function already registered!");
  }
  ierr += AliasCoord_SystemRegister_F(CCTK_Wrapper_CtoF_CoordBase_SystemRegister);
  ierr += AliasCoord_SystemRegister_C(CoordBase_SystemRegister);
  if (ierr)
  {
    CCTK_Warn(0, __LINE__, __FILE__, "Bindings",
              "Function already registered!");
  }
  ierr += AliasGetBoundarySizesAndTypes_F(CCTK_Wrapper_CtoF_CoordBase_GetBoundarySizesAndTypes);
  ierr += AliasGetBoundarySizesAndTypes_C(CoordBase_GetBoundarySizesAndTypes);
  if (ierr)
  {
    CCTK_Warn(0, __LINE__, __FILE__, "Bindings",
              "Function already registered!");
  }
  ierr += AliasGetBoundarySpecification_F(CCTK_Wrapper_CtoF_CoordBase_GetBoundarySpecification);
  ierr += AliasGetBoundarySpecification_C(CoordBase_GetBoundarySpecification);
  if (ierr)
  {
    CCTK_Warn(0, __LINE__, __FILE__, "Bindings",
              "Function already registered!");
  }
  ierr += AliasGetDomainSpecification_F(CCTK_Wrapper_CtoF_CoordBase_GetDomainSpecification);
  ierr += AliasGetDomainSpecification_C(CoordBase_GetDomainSpecification);
  if (ierr)
  {
    CCTK_Warn(0, __LINE__, __FILE__, "Bindings",
              "Function already registered!");
  }
  return ierr;
}
