/*@@
   @file       ScheduleGaugeWave.c
   @author     Automatically generated by CreateScheduleBindings.pl
   @desc
               Creates the schedule and parameter recovery bindings 
               for thorn GaugeWave
   @enddesc
@@*/


#ifdef SPEC 
#include "GaugeWave/cctk.h" 
#define THORN_DIR "GaugeWave" 
#else 
#include "GaugeWave/cctk.h"
#endif /* END SPEC */ 
#include "GaugeWave/CParameters.h"
#include "cctki_ScheduleBindings.h"
#include "GaugeWave/cctk_ScheduleFunctions.h"

/* Prototypes for Fortran schedule bindings functions to be registered */
/* Note that this is a cheat, we just need a function pointer. */


void CCTKi_BindingsSchedule_GaugeWave(void);
void CCTKi_BindingsSchedule_GaugeWave(void)
{
  DECLARE_CCTK_PARAMETERS
  {
    int cctkschedulei_tlevelarray[] = {0};
    CCTKi_ScheduleFunction((void *)GaugeWave_Startup,
                           "GaugeWave_Startup",
                           "GaugeWave",
                           "GaugeWave",
                           "create banner",
                           "CCTK_STARTUP",
                           "C",
                           0,  /* Number of STORAGE  groups   */
                           0,  /* Number of COMM     groups   */
                           0,  /* Number of TRIGGERS groups   */
                           0, /* Number of SYNC     groups    */
                           0, /* Number of WRITES clauses     */
                           0, /* Number of READS clauses      */
                           1, /* Number of Options            */
                           0, /* Number of BEFORE   routines  */
                           0, /* Number of AFTER    routines  */
                           0, /* Number of WHILE    variables */
                           0, /* Number of IF       variables */
                           cctkschedulei_tlevelarray  /* Array of timelevel data for storage groups */,
                           "meta",
                           "");
  }
  {
    int cctkschedulei_tlevelarray[] = {0};
    CCTKi_ScheduleFunction((void *)GaugeWave_RegisterSymmetries,
                           "GaugeWave_RegisterSymmetries",
                           "GaugeWave",
                           "GaugeWave",
                           "register symmetries",
                           "SymmetryRegister",
                           "C",
                           0,  /* Number of STORAGE  groups   */
                           0,  /* Number of COMM     groups   */
                           0,  /* Number of TRIGGERS groups   */
                           0, /* Number of SYNC     groups    */
                           0, /* Number of WRITES clauses     */
                           0, /* Number of READS clauses      */
                           1, /* Number of Options            */
                           0, /* Number of BEFORE   routines  */
                           0, /* Number of AFTER    routines  */
                           0, /* Number of WHILE    variables */
                           0, /* Number of IF       variables */
                           cctkschedulei_tlevelarray  /* Array of timelevel data for storage groups */,
                           "meta",
                           "");
  }
if (CCTK_EQUALS(initial_data, "GaugeWave"))
{
  {
    int cctkschedulei_tlevelarray[] = {0};
    CCTKi_ScheduleFunction((void *)GaugeWave_initial,
                           "GaugeWave_initial",
                           "GaugeWave",
                           "GaugeWave",
                           "GaugeWave_initial",
                           "ADMBase_InitialData",
                           "C",
                           0,  /* Number of STORAGE  groups   */
                           0,  /* Number of COMM     groups   */
                           0,  /* Number of TRIGGERS groups   */
                           0, /* Number of SYNC     groups    */
                           20, /* Number of WRITES clauses     */
                           3, /* Number of READS clauses      */
                           0, /* Number of Options            */
                           0, /* Number of BEFORE   routines  */
                           0, /* Number of AFTER    routines  */
                           0, /* Number of WHILE    variables */
                           0, /* Number of IF       variables */
                           cctkschedulei_tlevelarray  /* Array of timelevel data for storage groups */,
                           "admbase::alp(Everywhere)",
                           "admbase::betax(Everywhere)",
                           "admbase::betay(Everywhere)",
                           "admbase::betaz(Everywhere)",
                           "admbase::dtalp(Everywhere)",
                           "admbase::dtbetax(Everywhere)",
                           "admbase::dtbetay(Everywhere)",
                           "admbase::dtbetaz(Everywhere)",
                           "admbase::gxx(Everywhere)",
                           "admbase::gxy(Everywhere)",
                           "admbase::gxz(Everywhere)",
                           "admbase::gyy(Everywhere)",
                           "admbase::gyz(Everywhere)",
                           "admbase::gzz(Everywhere)",
                           "admbase::kxx(Everywhere)",
                           "admbase::kxy(Everywhere)",
                           "admbase::kxz(Everywhere)",
                           "admbase::kyy(Everywhere)",
                           "admbase::kyz(Everywhere)",
                           "admbase::kzz(Everywhere)",
                           "grid::x(Everywhere)",
                           "grid::y(Everywhere)",
                           "grid::z(Everywhere)",
                           "");
  }
}
if (CCTK_EQUALS(evolution_method, "GaugeWave"))
{
  {
    int cctkschedulei_tlevelarray[] = {0};
    CCTKi_ScheduleFunction((void *)GaugeWave_always,
                           "GaugeWave_always",
                           "GaugeWave",
                           "GaugeWave",
                           "GaugeWave_always",
                           "CCTK_PRESTEP",
                           "C",
                           0,  /* Number of STORAGE  groups   */
                           0,  /* Number of COMM     groups   */
                           0,  /* Number of TRIGGERS groups   */
                           0, /* Number of SYNC     groups    */
                           20, /* Number of WRITES clauses     */
                           3, /* Number of READS clauses      */
                           0, /* Number of Options            */
                           0, /* Number of BEFORE   routines  */
                           0, /* Number of AFTER    routines  */
                           0, /* Number of WHILE    variables */
                           0, /* Number of IF       variables */
                           cctkschedulei_tlevelarray  /* Array of timelevel data for storage groups */,
                           "admbase::alp(Everywhere)",
                           "admbase::betax(Everywhere)",
                           "admbase::betay(Everywhere)",
                           "admbase::betaz(Everywhere)",
                           "admbase::dtalp(Everywhere)",
                           "admbase::dtbetax(Everywhere)",
                           "admbase::dtbetay(Everywhere)",
                           "admbase::dtbetaz(Everywhere)",
                           "admbase::gxx(Everywhere)",
                           "admbase::gxy(Everywhere)",
                           "admbase::gxz(Everywhere)",
                           "admbase::gyy(Everywhere)",
                           "admbase::gyz(Everywhere)",
                           "admbase::gzz(Everywhere)",
                           "admbase::kxx(Everywhere)",
                           "admbase::kxy(Everywhere)",
                           "admbase::kxz(Everywhere)",
                           "admbase::kyy(Everywhere)",
                           "admbase::kyz(Everywhere)",
                           "admbase::kzz(Everywhere)",
                           "grid::x(Everywhere)",
                           "grid::y(Everywhere)",
                           "grid::z(Everywhere)",
                           "");
  }
}
  {
    int cctkschedulei_tlevelarray[] = {0};
    CCTKi_ScheduleFunction((void *)GaugeWave_SelectBoundConds,
                           "GaugeWave_SelectBoundConds",
                           "GaugeWave",
                           "GaugeWave",
                           "select boundary conditions",
                           "MoL_PostStep",
                           "C",
                           0,  /* Number of STORAGE  groups   */
                           0,  /* Number of COMM     groups   */
                           0,  /* Number of TRIGGERS groups   */
                           0, /* Number of SYNC     groups    */
                           0, /* Number of WRITES clauses     */
                           0, /* Number of READS clauses      */
                           1, /* Number of Options            */
                           0, /* Number of BEFORE   routines  */
                           0, /* Number of AFTER    routines  */
                           0, /* Number of WHILE    variables */
                           0, /* Number of IF       variables */
                           cctkschedulei_tlevelarray  /* Array of timelevel data for storage groups */,
                           "level",
                           "");
  }
  {
    int cctkschedulei_tlevelarray[] = {0};
    CCTKi_ScheduleFunction((void *)GaugeWave_CheckBoundaries,
                           "GaugeWave_CheckBoundaries",
                           "GaugeWave",
                           "GaugeWave",
                           "check boundaries treatment",
                           "CCTK_BASEGRID",
                           "C",
                           0,  /* Number of STORAGE  groups   */
                           0,  /* Number of COMM     groups   */
                           0,  /* Number of TRIGGERS groups   */
                           0, /* Number of SYNC     groups    */
                           0, /* Number of WRITES clauses     */
                           0, /* Number of READS clauses      */
                           1, /* Number of Options            */
                           0, /* Number of BEFORE   routines  */
                           0, /* Number of AFTER    routines  */
                           0, /* Number of WHILE    variables */
                           0, /* Number of IF       variables */
                           cctkschedulei_tlevelarray  /* Array of timelevel data for storage groups */,
                           "meta",
                           "");
  }
  {
    int cctkschedulei_tlevelarray[] = {0};
    CCTKi_ScheduleFunction((void *)GaugeWave_RegisterVars,
                           "GaugeWave_RegisterVars",
                           "GaugeWave",
                           "GaugeWave",
                           "Register Variables for MoL",
                           "MoL_Register",
                           "C",
                           0,  /* Number of STORAGE  groups   */
                           0,  /* Number of COMM     groups   */
                           0,  /* Number of TRIGGERS groups   */
                           0, /* Number of SYNC     groups    */
                           0, /* Number of WRITES clauses     */
                           0, /* Number of READS clauses      */
                           1, /* Number of Options            */
                           0, /* Number of BEFORE   routines  */
                           0, /* Number of AFTER    routines  */
                           0, /* Number of WHILE    variables */
                           0, /* Number of IF       variables */
                           cctkschedulei_tlevelarray  /* Array of timelevel data for storage groups */,
                           "meta",
                           "");
  }
  {
    int cctkschedulei_tlevelarray[] = {0};
    CCTKi_ScheduleFunction((void *)GaugeWave_ParamCheck,
                           "GaugeWave_ParamCheck",
                           "GaugeWave",
                           "GaugeWave",
                           "Check parameter consistency",
                           "CCTK_PARAMCHECK",
                           "C",
                           0,  /* Number of STORAGE  groups   */
                           0,  /* Number of COMM     groups   */
                           0,  /* Number of TRIGGERS groups   */
                           0, /* Number of SYNC     groups    */
                           0, /* Number of WRITES clauses     */
                           0, /* Number of READS clauses      */
                           1, /* Number of Options            */
                           0, /* Number of BEFORE   routines  */
                           0, /* Number of AFTER    routines  */
                           0, /* Number of WHILE    variables */
                           0, /* Number of IF       variables */
                           cctkschedulei_tlevelarray  /* Array of timelevel data for storage groups */,
                           "global",
                           "");
  }
  {
    int cctkschedulei_tlevelarray[] = {0};
    CCTKi_ScheduleGroup("ApplyBCs",
"GaugeWave_ApplyBCs",
                        "GaugeWave",
                        "GaugeWave",
                        "Apply boundary conditions controlled by thorn Boundary",
                        "MoL_PostStep",
                        0,  /* Number of STORAGE  groups   */
                        0,  /* Number of COMM     groups   */
                        0,  /* Number of TRIGGERS groups   */
                        0, /* Number of SYNC     groups    */
                        0, /* Number of WRITES clauses     */
                        0, /* Number of READS clauses      */
                        0, /* Number of Options            */
                        0, /* Number of BEFORE   routines  */
                        1, /* Number of AFTER    routines  */
                        0, /* Number of WHILE    variables */
                        0, /* Number of IF       variables */
                        cctkschedulei_tlevelarray  /* Array of timelevel data for storage groups */,
                        "",
                        "GaugeWave_SelectBoundConds");
  }
}

/*@@
  @routine    CCTKi_BindingsParameterRecovery_GaugeWave
  @author     Automatically generated by CreateScheduleBindings.pl
  @desc
              Creates the parameter recovery bindings for thorn GaugeWave
  @enddesc
@@*/

int CCTKi_BindingsParameterRecovery_GaugeWave(void);
int CCTKi_BindingsParameterRecovery_GaugeWave(void)
{
  /* this thorn doesn't define any parameter recovery routines */
  return (0);
}
