/*@@
   @file       ScheduleIOBasic.c
   @author     Automatically generated by CreateScheduleBindings.pl
   @desc
               Creates the schedule and parameter recovery bindings 
               for thorn IOBasic
   @enddesc
@@*/


#ifdef SPEC 
#include "IOBasic/cctk.h" 
#define THORN_DIR "IOBasic" 
#else 
#include "IOBasic/cctk.h"
#endif /* END SPEC */ 
#include "IOBasic/CParameters.h"
#include "cctki_ScheduleBindings.h"
#include "IOBasic/cctk_ScheduleFunctions.h"

/* Prototypes for Fortran schedule bindings functions to be registered */
/* Note that this is a cheat, we just need a function pointer. */


void CCTKi_BindingsSchedule_IOBasic(void);
void CCTKi_BindingsSchedule_IOBasic(void)
{
  DECLARE_CCTK_PARAMETERS
  {
    int cctkschedulei_tlevelarray[] = {0};
    CCTKi_ScheduleFunction((void *)IOBasic_Startup,
                           "IOBasic_Startup",
                           "IOBasic",
                           "IOBasic",
                           "Startup routine",
                           "CCTK_STARTUP",
                           "C",
                           0,  /* Number of STORAGE  groups   */
                           0,  /* Number of COMM     groups   */
                           0,  /* Number of TRIGGERS groups   */
                           0, /* Number of SYNC     groups    */
                           0, /* Number of WRITES clauses     */
                           0, /* Number of READS clauses      */
                           0, /* Number of Options            */
                           0, /* Number of BEFORE   routines  */
                           1, /* Number of AFTER    routines  */
                           0, /* Number of WHILE    variables */
                           0, /* Number of IF       variables */
                           cctkschedulei_tlevelarray  /* Array of timelevel data for storage groups */,
                           "",
                           "IOUtil_Startup");
  }
  if(!(1 >= 0 && 1  <= CCTK_MaxTimeLevels("IOBasic::next_info_output_time")))
      CCTK_VWarn(0, __LINE__, __FILE__, CCTK_THORNSTRING,
                 "Tried to schedule %d timelevels for group '%s' in schedule.ccl.\n"
                 "Value must be between 0 and %d (inclusive)",
                 1, "IOBasic::next_info_output_time", CCTK_MaxTimeLevels("IOBasic::next_info_output_time"));
  if(!(1 >= 0 && 1  <= CCTK_MaxTimeLevels("IOBasic::next_scalar_output_time")))
      CCTK_VWarn(0, __LINE__, __FILE__, CCTK_THORNSTRING,
                 "Tried to schedule %d timelevels for group '%s' in schedule.ccl.\n"
                 "Value must be between 0 and %d (inclusive)",
                 1, "IOBasic::next_scalar_output_time", CCTK_MaxTimeLevels("IOBasic::next_scalar_output_time"));
  CCTKi_ScheduleGroupStorage("IOBasic::next_info_output_time",1);
  CCTKi_ScheduleGroupStorage("IOBasic::next_scalar_output_time",1);
  {
    int cctkschedulei_tlevelarray[] = {0};
    CCTKi_ScheduleFunction((void *)IOBasic_Init,
                           "IOBasic_Init",
                           "IOBasic",
                           "IOBasic",
                           "Initialisation routine",
                           "CCTK_INITIAL",
                           "C",
                           0,  /* Number of STORAGE  groups   */
                           0,  /* Number of COMM     groups   */
                           0,  /* Number of TRIGGERS groups   */
                           0, /* Number of SYNC     groups    */
                           0, /* Number of WRITES clauses     */
                           0, /* Number of READS clauses      */
                           0, /* Number of Options            */
                           0, /* Number of BEFORE   routines  */
                           0, /* Number of AFTER    routines  */
                           0, /* Number of WHILE    variables */
                           0, /* Number of IF       variables */
                           cctkschedulei_tlevelarray  /* Array of timelevel data for storage groups */,
                           "");
  }
}

/*@@
  @routine    CCTKi_BindingsParameterRecovery_IOBasic
  @author     Automatically generated by CreateScheduleBindings.pl
  @desc
              Creates the parameter recovery bindings for thorn IOBasic
  @enddesc
@@*/

int CCTKi_BindingsParameterRecovery_IOBasic(void);
int CCTKi_BindingsParameterRecovery_IOBasic(void)
{
  /* this thorn doesn't define any parameter recovery routines */
  return (0);
}
