/*@@
   @file       ScheduleIOUtil.c
   @author     Automatically generated by CreateScheduleBindings.pl
   @desc
               Creates the schedule and parameter recovery bindings 
               for thorn IOUtil
   @enddesc
@@*/


#ifdef SPEC 
#include "IOUtil/cctk.h" 
#define THORN_DIR "IOUtil" 
#else 
#include "IOUtil/cctk.h"
#endif /* END SPEC */ 
#include "IOUtil/CParameters.h"
#include "cctki_ScheduleBindings.h"
#include "IOUtil/cctk_ScheduleFunctions.h"

/* Prototypes for Fortran schedule bindings functions to be registered */
/* Note that this is a cheat, we just need a function pointer. */


void CCTKi_BindingsSchedule_IOUtil(void);
void CCTKi_BindingsSchedule_IOUtil(void)
{
  DECLARE_CCTK_PARAMETERS
  {
    int cctkschedulei_tlevelarray[] = {0};
    CCTKi_ScheduleFunction((void *)IOUtil_Startup,
                           "IOUtil_Startup",
                           "IOUtil",
                           "IO",
                           "Startup routine",
                           "CCTK_STARTUP",
                           "C",
                           0,  /* Number of STORAGE  groups   */
                           0,  /* Number of COMM     groups   */
                           0,  /* Number of TRIGGERS groups   */
                           0, /* Number of SYNC     groups    */
                           0, /* Number of WRITES clauses     */
                           0, /* Number of READS clauses      */
                           0, /* Number of Options            */
                           0, /* Number of BEFORE   routines  */
                           1, /* Number of AFTER    routines  */
                           0, /* Number of WHILE    variables */
                           0, /* Number of IF       variables */
                           cctkschedulei_tlevelarray  /* Array of timelevel data for storage groups */,
                           "",
                           "Driver_Startup");
  }
if (! CCTK_Equals (recover, "no"))
{
  {
    int cctkschedulei_tlevelarray[] = {0};
    CCTKi_ScheduleFunction((void *)IOUtil_RecoverGH,
                           "IOUtil_RecoverGH",
                           "IOUtil",
                           "IO",
                           "Checkpoint recovery routine",
                           "CCTK_RECOVER_VARIABLES",
                           "C",
                           0,  /* Number of STORAGE  groups   */
                           0,  /* Number of COMM     groups   */
                           0,  /* Number of TRIGGERS groups   */
                           0, /* Number of SYNC     groups    */
                           0, /* Number of WRITES clauses     */
                           0, /* Number of READS clauses      */
                           1, /* Number of Options            */
                           0, /* Number of BEFORE   routines  */
                           0, /* Number of AFTER    routines  */
                           0, /* Number of WHILE    variables */
                           0, /* Number of IF       variables */
                           cctkschedulei_tlevelarray  /* Array of timelevel data for storage groups */,
                           "level",
                           "");
  }
}
if (*filereader_ID_files && *filereader_ID_vars)
{
  {
    int cctkschedulei_tlevelarray[] = {0};
    CCTKi_ScheduleFunction((void *)IOUtil_RecoverIDFromDatafiles,
                           "IOUtil_RecoverIDFromDatafiles",
                           "IOUtil",
                           "IO",
                           "Initial data recovery routine",
                           "CCTK_INITIAL",
                           "C",
                           0,  /* Number of STORAGE  groups   */
                           0,  /* Number of COMM     groups   */
                           0,  /* Number of TRIGGERS groups   */
                           0, /* Number of SYNC     groups    */
                           0, /* Number of WRITES clauses     */
                           0, /* Number of READS clauses      */
                           1, /* Number of Options            */
                           0, /* Number of BEFORE   routines  */
                           0, /* Number of AFTER    routines  */
                           0, /* Number of WHILE    variables */
                           0, /* Number of IF       variables */
                           cctkschedulei_tlevelarray  /* Array of timelevel data for storage groups */,
                           "level",
                           "");
  }
}
if (! CCTK_Equals (parfile_write, "no") && parfile_update_every)
{
  {
    int cctkschedulei_tlevelarray[] = {0};
    CCTKi_ScheduleFunction((void *)IOUtil_UpdateParFile,
                           "IOUtil_UpdateParFile",
                           "IOUtil",
                           "IO",
                           "Append steered parameters to parameter file",
                           "CCTK_POSTSTEP",
                           "C",
                           0,  /* Number of STORAGE  groups   */
                           0,  /* Number of COMM     groups   */
                           0,  /* Number of TRIGGERS groups   */
                           0, /* Number of SYNC     groups    */
                           0, /* Number of WRITES clauses     */
                           0, /* Number of READS clauses      */
                           1, /* Number of Options            */
                           0, /* Number of BEFORE   routines  */
                           0, /* Number of AFTER    routines  */
                           0, /* Number of WHILE    variables */
                           0, /* Number of IF       variables */
                           cctkschedulei_tlevelarray  /* Array of timelevel data for storage groups */,
                           "meta",
                           "");
  }
}
}

/*@@
  @routine    CCTKi_BindingsParameterRecovery_IOUtil
  @author     Automatically generated by CreateScheduleBindings.pl
  @desc
              Creates the parameter recovery bindings for thorn IOUtil
  @enddesc
@@*/

int CCTKi_BindingsParameterRecovery_IOUtil(void);
int CCTKi_BindingsParameterRecovery_IOUtil(void)
{
  /* this thorn doesn't define any parameter recovery routines */
  return (0);
}
